SDL_PLATFORM_LINUX(3)

NAME
SDL_PLATFORM_LINUX - A preprocessor macro that is only defined if compiling for Linux.

SYNOPSIS
#include <SDL3/SDL_platform_defines.h>

#define SDL_PLATFORM_LINUX 1

DESCRIPTION
Note that Android, although ostensibly a Linux-based system, will not define this. It defines SDL_PLATFORM_ANDROID instead.

AVAILABILITY
This macro is available since SDL 3.2.0.